import { Identifier, Matchable, Module } from ".";
export declare class Definition {
    identifier: Identifier;
    content: Matchable;
    constructor(identifier: Identifier, content: Matchable);
    findUnknownIdentifier(module: Module): Identifier | undefined;
    findCircularIdentifier(identifiers: Array<Identifier>, module: Module): Identifier | undefined;
    toString(): string;
}
