import { Identifier, Module, Stat } from ".";
export interface Matchable {
    matchRight(stat: Stat, from: number, module: Module): number;
    matchLeft(stat: Stat, to: number, module: Module): number;
    isConcrete(): boolean;
    findUnknownIdentifier(module: Module): Identifier | undefined;
    findCircularIdentifier(identifiers: Array<Identifier>, module: Module): Identifier | undefined;
}
