import { Module, StatElement } from ".";
export declare class Stat {
    elements: Array<StatElement>;
    constructor(elements: Array<StatElement>);
    static create(input: string, module: Module): Stat;
    merge(from: number, to: number): StatElement;
    divide(from: number, to: number): Stat;
    plus(that: Stat): Stat;
    createOutput(module: Module): string;
    getInvalidElements(module: Module): Array<StatElement>;
    isAllConverted(from: number, to: number): boolean;
    isNoneConverted(from: number, to: number): boolean;
}
