import { Identifier, Matchable, Module, Stat } from ".";
export declare class Quote implements Matchable {
    text: string;
    constructor(text: string);
    matchRight(stat: Stat, from: number, module: Module): number;
    matchLeft(stat: Stat, to: number, module: Module): number;
    isConcrete(): boolean;
    findUnknownIdentifier(module: Module): Identifier | undefined;
    findCircularIdentifier(identifiers: Array<Identifier>, module: Module): Identifier | undefined;
    toString(): string;
}
export declare class Slash {
    text: string;
    constructor(text: string);
    toString(): string;
}
