"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Definition = void 0;
var Definition = (function () {
    function Definition(identifier, content) {
        this.identifier = identifier;
        this.content = content;
    }
    Definition.prototype.findUnknownIdentifier = function (module) {
        return this.content.findUnknownIdentifier(module);
    };
    Definition.prototype.findCircularIdentifier = function (identifiers, module) {
        var nextIdentifiers = __spreadArrays(identifiers, [this.identifier]);
        return this.content.findCircularIdentifier(nextIdentifiers, module);
    };
    Definition.prototype.toString = function () {
        var string = "";
        string += this.identifier.toString();
        string += " = ";
        string += this.content.toString();
        string += ";";
        return string;
    };
    return Definition;
}());
exports.Definition = Definition;
