import { Identifier, Matchable, Module, Stat } from ".";
export declare class Sequence implements Matchable {
    private matchables;
    constructor(matchables: Array<Matchable>);
    matchRight(stat: Stat, from: number, module: Module): number;
    matchLeft(stat: Stat, to: number, module: Module): number;
    isConcrete(): boolean;
    findUnknownIdentifier(module: Module): Identifier | undefined;
    findCircularIdentifier(identifiers: Array<Identifier>, module: Module): Identifier | undefined;
    toString(): string;
}
