import { Identifier, Matchable, Module, Stat } from ".";
export declare class Circumflex implements Matchable {
    matchRight(stat: Stat, from: number, module: Module): number;
    matchLeft(stat: Stat, to: number, module: Module): number;
    isConcrete(): boolean;
    findUnknownIdentifier(module: Module): Identifier | undefined;
    findCircularIdentifier(identifiers: Array<Identifier>, module: Module): Identifier | undefined;
    toString(): string;
}
export declare class Dollar {
    toString(): string;
}
